import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { DependencyProperty } from "igniteui-angular-core";
import { TrendLineType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { DoubleCollection } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { SeriesView } from "./SeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { Axis } from "./Axis";
import { Point, IList$1, Type } from "igniteui-angular-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-angular-core";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Clipper } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { LegendItemBadgeShape } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class FinancialIndicator extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected get_e9(): boolean;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    abb: FinancialIndicatorView;
    constructor();
    abo(a: boolean): void;
    protected abg(a: Point, b: Point, c: boolean): boolean;
    protected b3(): SeriesHitTestMode;
    wx(a: Point): Rect;
    gx(a: Point, b: boolean): boolean;
    protected ph(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    abd: IndicatorDisplayType;
    protected get_abc(): IndicatorDisplayType;
    get abc(): IndicatorDisplayType;
    abj: number;
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    get ab1(): Brush;
    set ab1(a: Brush);
    static readonly abr: DependencyProperty;
    trendLineThickness: number;
    ab3: PenLineCap;
    ab2: DoubleCollection;
    trendLinePeriod: number;
    protected abl(): number;
    abk: number;
    private _indicatorColumn;
    get indicatorColumn(): List$1<number>;
    set indicatorColumn(a: List$1<number>);
    protected aba: AxisRange;
    protected abstract abe(a: number, b: number): boolean;
    protected abstract abh(a: number, b: number): IList$1<string>;
    protected rg(a: any, b: string, c: any, d: any): void;
    i8(a: Point, b: boolean, c: boolean): number;
    ke(a: Point, b: boolean): number;
    kc(a: Point, b: boolean): number;
    protected get_he(): boolean;
    private abf;
    private abq;
    ay(a: Axis): AxisRange;
    ge(a: any): boolean;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    aam(a: CategoryFrame, b: FinancialSeriesView): void;
    pb(a: boolean, b: SeriesView): void;
    protected xq(): CategoryTransitionInMode;
    aao(a: CategoryFrame, b: FinancialSeriesView): void;
    protected sp(): void;
    protected abp(): void;
    protected p5(a: any): void;
    protected bf(a: LegendItemBadgeShape): LegendItemBadgeShape;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialIndicatorBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: FinancialIndicatorView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class FinancialIndicatorView extends FinancialSeriesView {
    static $t: Type;
    cj: FinancialIndicator;
    constructor(a: FinancialIndicator);
    protected ce(): FinancialBucketCalculator;
    a4(): void;
    private readonly cm;
    private cw;
    private cp;
    da: Path;
    c6: Path;
    db: Path;
    c7: Path;
    dc: Path;
    c8: Path;
    c9: Path;
    c5: Path;
    private ck;
    get cl(): ITrendLineManager;
    set cl(a: ITrendLineManager);
    get cn(): boolean;
    co(a: boolean): void;
    cu(): void;
    cs(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: Clipper): void;
    cq(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: number, f: Clipper): void;
    cr(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: number): void;
    cv(): void;
    private c2;
    private c4;
    private c3;
    private c1;
    private cy;
    private c0;
    private cz;
    private cx;
    protected bq(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    protected bi(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
    ct(): void;
}
